org.apache.fop.render.ps.extensions

## Class PSSetPageDeviceElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
    - - org.apache.fop.render.ps.extensions.PSSetPageDeviceElement

All Implemented Interfaces:
  Cloneable

    public class PSSetPageDeviceElement
    extends AbstractPSExtensionElement

Extension element for ps:ps-setpagedevice.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

### Field Summary

Fields
`protected static String` `ELEMENT` The element name

### Fields inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement

`attachment`

### Fields inherited from class org.apache.fop.fo.FONode

`FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

### Constructor Summary

Constructors
`protected` `PSSetPageDeviceElement(FONode parent)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalName()` Returns the local name (i.e.
`protected ExtensionAttachment` `instantiateExtensionAttachment()` Instantiates extension attachment object
`void` `processNode(String elementName, Locator locator, Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
`void` `startOfNode()` Called after processNode() is called.

### Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement

`characters, endOfNode, getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, validateChildNode`

### Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ELEMENT

    protected static final String ELEMENT

The element name

See Also:
  Constant Field Values

### Constructor Detail

#### PSSetPageDeviceElement

    protected PSSetPageDeviceElement(FONode parent)

Main constructor

Parameters:
  `parent` - parent FO node

### Method Detail

#### startOfNode

    public void startOfNode()
                     throws FOPException

Called after processNode() is called. Subclasses can do additional processing.

Overrides:
  `startOfNode` in class `FONode`
Throws:
  `FOPException` - if there's a problem during processing
See Also:
  `FONode.startOfNode()`

#### processNode

    public void processNode(String elementName,
                            Locator locator,
                            Attributes attlist,
                            PropertyList propertyList)
                     throws FOPException

Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.

Overrides:
  `processNode` in class `FONode`
Parameters:
  `elementName` - element name (e.g., "fo:block")
  `locator` - Locator object (ignored by default)
  `attlist` - Collection of attributes passed to us from the parser.
  `propertyList` - property list
Throws:
  `FOPException` - if there's a problem during processing
See Also:
  `FONode.processNode(java.lang.String, org.xml.sax.Locator, org.xml.sax.Attributes, org.apache.fop.fo.PropertyList)`

#### getLocalName

    public String getLocalName()

Description copied from class: `FONode`
Returns the local name (i.e. without namespace prefix) of the node

Specified by:
  `getLocalName` in class `FONode`
Returns:
  local name
See Also:
  `FONode.getLocalName()`

#### instantiateExtensionAttachment

    protected ExtensionAttachment instantiateExtensionAttachment()

Description copied from class: `AbstractPSExtensionElement`
Instantiates extension attachment object

Specified by:
  `instantiateExtensionAttachment` in class `AbstractPSExtensionElement`
Returns:
  a new PSSetPageDevice object
See Also:
  `#instantiateExtensionAttachment()`